Bug 396151 - Edit option disappeared from the context menu/regression (?)
Summary: Edit option disappeared from the context menu/regression (?)
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: commands and actions (show other bugs)
Version: 5.12.3
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-04 07:12 UTC by stefan.schwarzer
Modified: 2019-12-30 23:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stefan.schwarzer 2018-07-04 07:12:03 UTC
Long, long time ago (i.e. at most one minor version number 5.6.last or 5.7.(x<2)) there was an Edit message option in one of the context menus that appeared on right click of either the line in the message overview or in the context menu of the composer window. This was incredibly convenient when bringing up a draft message or one from the outgoing folder, e.g. in order to eit the sender.
Now the only option left is to re-create the message: Select recipients (no send again option either), paste message text to a new message, fiddle with attachments, start editing, send). 

Could I/remaining users of kmail get this option back?
Comment 1 Rigo Wenning 2019-05-06 16:39:07 UTC
More has disappeared. Beforehand, the right-click would make a menu in function of the area where the right click was done within the message view. E.g. a right click on a URI would allow to copy that URI. But I have the "edit as new" button at my contextual menu in expert mode. 
Strangely enough, after looking into plugins it said it would require a restart and the URI menu on right click re-appeared once but then it fell back into this one and only rightclick-menu saying "reply" "forward" etc, despite the fact that the mouse is over the URI and clicking on the URI would open the URI in vivaldi. But I open google URIs in chromium for privacy reasons, thus the request.
Comment 2 Rigo Wenning 2019-05-06 16:42:08 UTC
BTW, using kmail 5.10.3 on opensuse tumbleweed 20190425
Comment 3 stefan.schwarzer 2019-12-20 22:40:09 UTC
It seems somebody heard our prayers. In kontact 5.12.3 my sore right mouse button brought back both an Edit As New feature in the context menu. I could also right click on the message header to copy email adresses and such

Thanks a lot - this is greatly appreciated!
Comment 4 Rigo Wenning 2019-12-22 12:27:20 UTC
Appreciated indeed, should we close this Bug?